cascading.flow.tez.planner

## Class Hadoop2TezPlanner.IntermediateBoundaryElementFactory

- java.lang.Object
- - cascading.flow.planner.rule.transformer.BoundaryElementFactory
  - - cascading.flow.tez.planner.Hadoop2TezPlanner.IntermediateBoundaryElementFactory

- All Implemented Interfaces:
    ElementFactory
  Enclosing class:
    Hadoop2TezPlanner

      public class Hadoop2TezPlanner.IntermediateBoundaryElementFactory
      extends BoundaryElementFactory

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.rule.transformer.BoundaryElementFactory

      `BOUNDARY_PIPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hadoop2TezPlanner.IntermediateBoundaryElementFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowElement` | `create(ElementGraph graph, FlowElement flowElement)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Hadoop2TezPlanner.IntermediateBoundaryElementFactory

          public Hadoop2TezPlanner.IntermediateBoundaryElementFactory()

  - ### Method Detail

    - #### create

          public FlowElement create(ElementGraph graph,
                           FlowElement flowElement)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.